<template>
    <el-dialog v-model="visible" title="政策关联" width="80%" @closed="$emit('closed')">
        <policy-strive-link :docNo="docNo"></policy-strive-link>
    </el-dialog>
</template>

<script>
import policyStriveLink from "@/views/publicDomain/link/strive.vue";

export default {
    emits: ["closed"],
    
    components: {
        policyStriveLink
    },

    data() {
        return {
            visible: false,
            docNo: ""
        }
    },

    methods: {
        open(data) {
            this.visible = true;
            this.docNo = data.docNo;
            return this;
        }
    }
}
</script>